<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="style.css">
    <title>Моя страница</title>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.3/jquery.min.js"></script>
    <script>


        function show(){
            let sh = document.getElementById("Popup");
            if(sh.style.display == "block")sh.style.display = "none";
            else sh.style.display = "block";
            return false;
        }

        /*function size(){
            let a = document.getElementById("textarea");
            if(a.style.height=="")a.style.height="30px";
            if(a.style.width=="")a.style.width="157px";
            let h = a.style.height;
            let w = a.style.width;
            let y;
            let x;
            if(h[2]=="p"){
                y = (h[0]+h[1])*1+1;
            }else y = (h[0]+h[1]+h[2])*1+1;
            if(w[2]=="p"){
                x = (w[0]+w[1])*1+1;
            }else x = (w[0]+w[1]+w[2])*1+1;
            y=y+389+"px";
            if(x>400) x=x+"px";
            let b = document.getElementById("a1");
            b.style.height=y;
            b.style.width=x;
            return false;
        }*/


        function chech_email(){
            let email = document.getElementById("email").value;
            for(let i=0;i<email.length;i++){
                if(email[i+1]=="@" && email[i]!=0)
                for(let j=i+1;j<email.length;j++){
                    if(email[j+1]=="." && email[j]!="@" && ((email[j+2]>="a" && email[j+2]<="z") || (email[j+2]>="A" && email[i+2]<="Z")))return true;
                }
            }
            return false;
        }

        function sendForm(url){
            $.ajax({
                url: url, 
                type: "POST", 
                dataType: "html", 
                data: $("#form").serialize(),
                success: function() {
                    localStorage.setItem('name_send',document.getElementById("name").value)
                    localStorage.setItem('email_send',document.getElementById("email").value)
                    localStorage.setItem('textarea_send',document.getElementById("textarea").value)
                    localStorage.setItem('checkbox_send',document.getElementById("checkbox").value)
                    document.getElementById("name").value="";
                    document.getElementById("email").value="";
                    document.getElementById("textarea").value="";
                    document.getElementById("checkbox").checked=false;
                    $('#answer').html('Данные отправлены.');
    	        },
    	        error: function() { 
                    $('#answer').html('Ошибка. Данные не отправлены.');
    	        }
 	        });
             return false;
        }

        function last_send(){
            if(localStorage.getItem("name_send")!=null){
                document.getElementById("name").value=localStorage.getItem("name_send")
                document.getElementById("email").value=localStorage.getItem("email_send")
            }
            return false;
        }


        function Master(){
            but.addEventListener("click",function(){
                show();
                history.pushState({index : "form"},"", "form.html");
                return false;
            });
            //textarea.addEventListener("mousemove",size);
            window.onpopstate = function(){
                if(history.state==null)show();
                return false;
            };
            button_send.addEventListener("click",function(){
                if(document.getElementById("name").value!=""){
                    if(chech_email()){
                        sendForm("https://formcarry.com/s/L2gTsPgwVB");
                }else document.getElementById("answer").innerHTML="Некорректно введён адрес эл. почты"
                }else document.getElementById("answer").innerHTML="Введите имя"
                return false;
            });
            last_send();
            return false
        }

        document.addEventListener("DOMContentLoaded",Master);
    </script>
</head>
<body>
    <div class="aaa">
        <div class="but" id="but">
            <div class="text">
                <div>Открыть форму</div>
            </div>
        </div>
    </div>
    <div id="Popup">
        <div class="a1" id="a1">
            <div class="big-text">Форма</div>
            <form id="form">
                <label class="big-text">Имя: 
                    <input class="big" id="name" name="name">
                </label><br><br>

                <label class="big-text">E-mail:
                    <input class="big" type="email" id="email" name="email">
                </label><br><br>
        
                <label class="big-text">Сообщение:<br>
                    <textarea class="big-area" id="textarea" name="textarea"></textarea>
                </label><br><br>
        
                <label class="big-text"><div>Согласен с политикой обработки персональных данных:</div>
                    <input id="checkbox" name="checkbox" type="checkbox" value="ok">
                </label><br><br>
        
            </form>
            <button id="button_send" onclick="return false">Отправить</button><br><br>
            <div class="big-text" id="answer"></div>
        </div>
        </div>
    </div>
</body>
</html>

